# ViewerApp (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.tools.viewer
Class ViewerApp

    java.lang.Object
      com.threerings.stage.tools.viewer.ViewerApp

    public class ViewerApp

extends Object

The ViewerApp is a scene viewing application that allows for trying out Stage scenes in a pseudo-runtime environment.

Constructor Summary
`ViewerApp(String[] args)` Construct and initialize the ViewerApp object.

Method Summary
`static void` `main(String[] args)` Instantiate the application object and start it running.
`void` `run()` Run the application.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewerApp

    public ViewerApp(String[] args)
              throws IOException

  Construct and initialize the ViewerApp object.

  Throws:
    `IOException`

Method Detail

### run

    public void run()

  Run the application.

### main

    public static void main(String[] args)

  Instantiate the application object and start it running.

Copyright © 2011. All Rights Reserved.